org.apache.catalina.servlet4preview.http

## Enum MappingMatch

- java.lang.Object
- - java.lang.Enum<MappingMatch>
  - - org.apache.catalina.servlet4preview.http.MappingMatch

- All Implemented Interfaces:
    Serializable, Comparable<MappingMatch>

      public enum MappingMatch
      extends Enum<MappingMatch>

  Represents the ways that a request can be mapped to a servlet
  Since:
    4.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONTEXT_ROOT`
    `DEFAULT`
    `EXACT`
    `EXTENSION`
    `PATH`
    `UNKNOWN`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MappingMatch` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MappingMatch[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CONTEXT_ROOT

          public static final MappingMatch CONTEXT_ROOT

    - #### DEFAULT

          public static final MappingMatch DEFAULT

    - #### EXACT

          public static final MappingMatch EXACT

    - #### EXTENSION

          public static final MappingMatch EXTENSION

    - #### PATH

          public static final MappingMatch PATH

    - #### UNKNOWN

          public static final MappingMatch UNKNOWN

  - ### Method Detail

    - #### values

          public static MappingMatch[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MappingMatch c : MappingMatch.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MappingMatch valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.